Bug 9457 - rhs-printfilters is missing functionality required by new printtool, other enhancements.
Summary: rhs-printfilters is missing functionality required by new printtool, other en...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhs-printfilters   
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-15 09:19 UTC by Joshua Buysse
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-19 15:31:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Directprint script, required for functionality in printtool -- needs to be in /usr/lib/rhs/rhs-printfilters and chmod 0755 (1.68 KB, text/plain)
2000-02-15 20:09 UTC, Joshua Buysse
no flags Details

Description Joshua Buysse 2000-02-15 09:19:02 UTC
The newest version of printtool has some new functionality (printing
directly to the HP jetdirect port 9100) that requires support in the
printfilters.  I can send the patch for printfilters again tomorrow
against this bug ID.  I need to back out some of the local customizations
that aren't ready for general consumption.

If these patches aren't applied, the mods I sent for printtool need to be
backed out.

Comment 1 Bernhard Rosenkraenzer 2000-02-15 09:22:59 UTC
Ok, please send the printfilters patch.

Comment 2 Joshua Buysse 2000-02-15 20:09:59 UTC
Created attachment 120 [details]
Directprint script, required for functionality in printtool -- needs to be in /usr/lib/rhs/rhs-printfilters and chmod 0755

Comment 3 Joshua Buysse 2000-02-15 20:11:59 UTC
The directprint script depends on Perl -- I can rewrite it to use bash and nc,
but it will add a dependency to the RPM.

Comment 4 Bill Nottingham 2000-02-15 21:48:59 UTC
perl is ok; the troff-to-ps filter requires it anyways.

Comment 5 barnett2 2000-04-18 19:54:59 UTC
When can we expect to see a patched 'rhs-printfilters' package?

Comment 6 Bill Nottingham 2000-04-19 15:31:59 UTC
Next rawhide release (version 1.64-1); apologies for the long delay.


Note You need to log in before you can comment on or make changes to this bug.